Ticket #44056

Update S3_0 msys2 environment

Open Date: 2022-03-08 23:18 Last Update: 2022-06-14 08:22

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

We are likely to update msys2 environment of S3_0 during its lifetime. Most probable around the time 3.1.0-beta1 gets released, and with the same environment version.

One thing that we may need to port to S3_0 before we can update the msys2 environment is localization fix #44047.

Ticket History (3/9 Histories)

2022-03-08 23:18 Updated by: cazfi
  • New Ticket "Update S3_0 msys2 environment" created
2022-03-16 12:14 Updated by: cazfi
Comment

Attached patch makes it possible to use msys2-220309 with S3_0. Not meant for committing, but just available for developers who want to use newer environment.

2022-04-25 06:35 Updated by: cazfi
  • Milestone Update from (None) to 3.0.3
Comment

As noted in #44286, msys2 upstream will bump their minimum requirement to Windows-8.1, and we can't take that to S3_0. So any update of S3_0 msys2 update needs to be to a version earlier than their req bump. At this point I assume it to mean that we will do the update to 3.0.3 (can't leave later, we don't want to do it unnecessarily early)

2022-05-27 11:57 Updated by: cazfi
Comment

Likely we have two iterations of this during the 3.0.3 cycle. As soon as 3.0.2 has been released, we can set S3_0 to use what ever msys2 environment we have for S3_1/master at the time. Then we make the final msys2 environment later during the cycle.

2022-05-31 06:11 Updated by: cazfi
Comment

Reply To cazfi

As soon as 3.0.2 has been released, we can set S3_0 to use what ever msys2 environment we have for S3_1/master at the time.

Update for S3_1/master coming in #43947 - even if that's not ready by 3.0.2 release, we may want to wait for it for S3_0 too.

2022-06-08 10:47 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
2022-06-14 08:22 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login